local gr = love.graphics
function love.load()
	dig = {
		'0000', '0001', '0010', '0011', '0100',
		'0101', '0110', '0111', '1000', '1001'}
	gr.setFont( gr.newFont( 30 ) )
	love.window.setMode(560,120,{borderless=true})
	gr.setBackgroundColor( 55, 0, 255 )
	end

function love.draw()
	local m = os.date('%M')
	local h = os.date('%H')
	local s = os.date('%S')
	local M = os.date('%m')
	local D = os.date('%d')
	local Y = os.date('%Y')
	local str = constructString( h, M, s )
	gr.print( str, 10, 10 )
	n=string.sub(h,1,1)
	dial(n,50,80,25)
	n=string.sub(h,2,2)
	dial(n,140,80,25)
	n=string.sub(M,1,1)
	dial(n,240,80,25)
	n=string.sub(M,2,2)
	dial(n,330,80,25)
	n=string.sub(s,1,1)
	dial(n,430,80,25)
	n=string.sub(s,2,2)
	dial(n,520,80,25)
	dial(t,548,105,8,2,true)
	end

function love.update(dt)
	t = math.floor((os.clock()-math.floor(os.clock()))*10)
	end

function constructString(H,M,S)
	return split(H)..'   '..split(M)..'   '..split(S)
	end

function split(I)
	return dig[string.sub(I,1,1)+1]..' '..dig[string.sub(I,2,2)+1]
	end

function dial(num,x,y,r,r2,c)
	r2=r2 or 5
	dx=r*math.cos(2*num*math.pi/10-math.pi/2)+x
	dy=r*math.sin(2*num*math.pi/10-math.pi/2)+y
	gr.circle('fill',dx,dy,r2)
	if not c then
		gr.arc('fill',x,y,15,-math.pi/2,2*num*math.pi/10-math.pi/2)
		gr.circle('line',x,y,r)
		else
		gr.line(x,y,dx,dy)
		end
	end

function love.keypressed( key )
	if key == 'escape'	then love.event.quit() end
	end

